## parametrize 0.2.0

=== Makefile ===
.PHONY: all clean format flake8 mypy test coverage install update

all: flake8 mypy test

sources = parametrize tools

format:
	isort $(sources) tests
	black $(sources) tests

flake8:
	flake8 $(sources) tests

mypy:
	mypy $(sources)

test:
	pytest tests --cov=$(sources)

coverage: test
	coverage html
	open htmlcov/index.html

install:  # install packages from poetry.lock
	poetry install

update:  # install packages from pyproject.toml and generate poetry.lock (use when add new packages, or update existing)
	poetry update

clean:
	@rm -rf build dist
	@rm -rf `find . -type d -name __pycache__`
	@rm -f `find . -type f -name '*.py[co]'`
	@rm -rf `find . -type d -name .pytest_cache`
	@rm -rf `find . -type d -name .mypy_cache`
	@rm -rf *.egg-info
	@rm -rf .coverage
	@rm -rf htmlcov
	@rm -rf poetry.lock

=== debian/changelog ===
parametrize (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Feb 2026 07:10:10 +0100

=== debian/control ===
Source: parametrize
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatch-vcs,
               python3-hatchling,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-pytest-sugar
Standards-Version: 4.7.3
Homepage: https://github.com/Bobronium/parametrize
Vcs-Git: https://salsa.debian.org/python-team/packages/parametrize.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/parametrize
Testsuite: autopkgtest-pkg-python

Package: python3-parametrize
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Drop-in @pytest.mark.parametrize replacement
 You want to start using @pytest.mark.parametrize, but can't simply drop
 unittest.TestCase because you have tons of self.assert's, setUp's
 tearDown's to rewrite?
 .
 With @parametrize you can start parameterizing your tests now, and get
 rid of unittest.TestCase later if needed.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/parametrize-$1\.tar\.gz/ \
    https://github.com/Bobronium/parametrize/tags .*/v?(\d\S*)\.tar\.gz
